## view.page
Class RegistrationPage.EntryDataJavascript

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Script
                      view.page.RegistrationPage.EntryDataJavascript

Enclosing class:
  RegistrationPage

    private static class RegistrationPage.EntryDataJavascript

extends Script

A Javascript code for including entry data in the code.

Constructor Summary
`RegistrationPage.EntryDataJavascript(Tournament tournament)` Constructs the element.

Method Summary
`private static java.lang.String` `generate(Tournament tournament)` Generates the script as per parameters given to constructor.

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.EntryDataJavascript

    public RegistrationPage.EntryDataJavascript(Tournament tournament)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to get the data from.

Method Detail

### generate

    private static java.lang.String generate(Tournament tournament)

  Generates the script as per parameters given to constructor.